petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMShellGetContext

Returns the user-provided context associated to the DM

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellGetContext(DM dm,void **ctx)

Collective

### Input Argument

dm -shell DM

### Output Argument

ctx -the context

### See Also

DMCreateMatrix(), DMShellSetContext()

### Level

advanced

### Location

src/dm/impls/shell/dmshell.c

### Examples

src/ksp/ksp/examples/tutorials/ex65.c.html
src/ksp/ksp/examples/tutorials/ex73.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages